function [ vRY, vRU, vRV, holesR, nShiftR, shiftdR ] = computeVVRight(Yr, Ur, Vr, zInvR, height, width, f, l )
% Compute Virtual View Left (computeVVLeft) computes the virtual left view
% from the left image and the camera matrix Summary of this function goes here
%% Compute the virtual view left
[m1 n1] = size(Ur);
vRY(height, width) = double(zeros);
vRU(m1, n1) = double(zeros);
vRV(m1, n1) = double(zeros);
holesR(height, width) = zeros;
nShiftR(height, width) = double(zeros);

for i=1:height
    for j=width:-1:1
        jj = round(j + zInvR(i,j) * f * l);
        if (jj <= width && jj > 0)
            ih = round(i/2);
            jh = round(jj/2);
            vRY(i, jj) = Yr(i,j);
            vRU(ih, jh) = Ur(ih, round(j/2));
            vRV(ih, jh) = Vr(ih, round(j/2));
            holesR(i, jj) = 1;
            nShiftR(i, jj) = j;
        end
    end
end
end

